/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/  
#include "project.h"
#include <stdio.h>
#include <math.h>
#include <string.h>
#include "Global Defines.h"
#define GLOBALS_INTERNAL
#include "Global Variables.h"
#include "GUI.h"
#include <stdlib.h>
#include "Global.h"
#include <FS.h>

extern void TouchCalibration(void);
extern void MainScreen();
extern void DrawBMPExternalMemory();
extern void CreateToolsScreen();
extern void OxygenCalibration();

int main(void)
{
    /* Enable the global interrupt */
    CyGlobalIntEnable;
//    BleedOff_Write(TRUE);
//    BleedOn_Write(TRUE);
    GUI_Init(); 
    FS_Init();
    FS_FAT_SupportLFN();
//    TouchCalibration();
//    DrawBMPExternalMemory("SplashScreen.bmp");
//    CyDelay(500);
    MainScreen(); 
//    CreateToolsScreen();
//    OxygenCalibration();

    for(;;)
    {
        if (FiveMsFlag == TRUE)
        {
            FiveMsFlag = FALSE;
        }
        GUI_Delay(1);
    }
}// end function main



/* [] END OF FILE */
